From 9d3cdefb902ce6799c2845f380916c9259c1368f Mon Sep 17 00:00:00 2001
From: Nils Philippsen <nils@redhat.com>
Date: Dec 11 2017 13:43:59 +0000
Subject: [PATCH 16/51] flag fields which should be set during build


---

diff --git a/src/_fedmod/modulemd_linter.py b/src/_fedmod/modulemd_linter.py
index 8a4e61b..b8a996d 100644
--- a/src/_fedmod/modulemd_linter.py
+++ b/src/_fedmod/modulemd_linter.py
@@ -283,6 +283,23 @@ class ModuleMDLinter(object):
         self.check(isinstance(self.yaml_data['license']['module'], list))
 
     @error
+    @guidelines_link(
+        '#Module_name.2C_update_stream.2C_version.2C_context_and_architecture')
+    def lint_no_manual_name_stream_version_context_arch(self):
+        """Module packagers MUST NOT define values for name, stream, version,
+        context or architecture manually but should rather expect the Module
+        Build Service to do it for them."""
+        self.check_false(self.mmd.name or self.mmd.stream or self.mmd.version
+                         or self.mmd.context or self.mmd.arch)
+
+    @error
+    @guidelines_link('#Module_Service_Levels_and_End_of_Life')
+    def lint_no_manual_eol(self):
+        """Module packagers MUST NOT define the EOL in the modulemd but should
+        define it in other infrastructure tooling."""
+        self.check_false(self.mmd.eol)
+
+    @error
     @guidelines_link('#Module_licensing')
     @detail("The content license block must be a list if it exists.")
     @prerequisite('license_block_keys')

